Package com.avaya.clientservices.call

## Enum MediaDirection

- java.lang.Object
- - java.lang.Enum<MediaDirection>
  - - com.avaya.clientservices.call.MediaDirection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MediaDirection>`

      public enum MediaDirection
      extends java.lang.Enum<MediaDirection>

  Media direction values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INACTIVE` | No media flow.
    `RECEIVE_ONLY` | Media is received, but not sent.
    `SEND_ONLY` | Media is sent, but no media is received.
    `SEND_RECEIVE` | Media is sent and received.
    `UNDEFINED` | Media direction has not been set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaDirection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MediaDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MediaDirection UNDEFINED

      Media direction has not been set

    - #### INACTIVE

          public static final MediaDirection INACTIVE

      No media flow. No media is transmitted or received.

    - #### SEND_ONLY

          public static final MediaDirection SEND_ONLY

      Media is sent, but no media is received.

    - #### RECEIVE_ONLY

          public static final MediaDirection RECEIVE_ONLY

      Media is received, but not sent.

    - #### SEND_RECEIVE

          public static final MediaDirection SEND_RECEIVE

      Media is sent and received.

  - ### Method Detail

    - #### values

          public static MediaDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaDirection c : MediaDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaDirection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null